Package com.sun.jna.platform.mac

# Class IOKit.IOService

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.platform.mac.IOKit.IOObject
com.sun.jna.platform.mac.IOKit.IORegistryEntry
com.sun.jna.platform.mac.IOKit.IOService

All Implemented Interfaces:
  `NativeMapped`

Direct Known Subclasses:
  `IOKit.IOConnect`

Enclosing interface:
  IOKit

public static class IOKit.IOService extends IOKit.IORegistryEntry
The base class for most I/O Kit families, devices, and drivers.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IOService()`
  `IOService(Pointer p)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.platform.mac.IOKit.IORegistryEntry

  `createCFProperties, createCFProperty, getBooleanProperty, getByteArrayProperty, getChildEntry, getChildIterator, getDoubleProperty, getIntegerProperty, getLongProperty, getName, getParentEntry, getRegistryEntryID, getStringProperty, searchCFProperty`

  ### Methods inherited from class com.sun.jna.platform.mac.IOKit.IOObject

  `conformsTo, release`

  ### Methods inherited from class com.sun.jna.PointerType

  `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IOService

    public IOService()

  - ### IOService

    public IOService(Pointer p)